# Plain Search Index Filter

## INTRODUCTION

The Plain Search Index Filter module adds a twig filter, allowing you to cleanly strip away all HTML, whilst
ensuring that there is space before each closing tag, so that words don't blend together.

The aim is to add the purest text you can into the likes of SOlR, SQL and Vector Databases.

## INSTALLATION

Install as you would normally install a contributed Drupal module.
See: https://www.drupal.org/node/895232 for further information.

## USAGE

Example snippet for your Search Index display mode file:
`<YOURTHEME>/templates/content/node/search-index/node--search-index.html.twig`

```twig
{% set renderContent %}
    {{ content }}
{% endset %}
{# Pass the rendered text into the  plain_search_index_filter module's twig extension and output #}
{{ renderContent|plainsearchindex }}
```

## MAINTAINERS

Current maintainers for Drupal 10, 11:

- Matt Burke (mattyb) - https://www.drupal.org/u/mattyb

